/********************************************************************\
 * Mu (Miscellaneous Utilities) is a general convenience library.   *
 * Copyright (C) 2019  Asher Gordon <AsDaGo@posteo.net>             *
 *                                                                  *
 * This file is part of Mu.                                         *
 *                                                                  *
 * Mu is free software: you can redistribute it and/or modify it    *
 * under the terms of the GNU General Public License as published   *
 * by the Free Software Foundation, either version 3 of the         *
 * License, or (at your option) any later version.                  *
 *                                                                  *
 * Mu is distributed in the hope that it will be useful, but        *
 * WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    *
 * GNU General Public License for more details.                     *
 *                                                                  *
 * You should have received a copy of the GNU General Public        *
 * License along with Mu.  If not, see                              *
 * <https://www.gnu.org/licenses/>.                                 *
\********************************************************************/

/*
 * compat.c -- provide some extensions if they aren't available
 */

/* Don't define these if we're being included from compat.c. */
#ifndef _COMPAT_C_INTERNAL
# define asprintf(strp, ...)		_mu_asprintf(strp, __VA_ARGS__)
# define vasprintf(strp, fmt, ap)	_mu_vasprintf(strp, fmt, ap)
# define strchrnul(s, c)		_mu_strchrnul(s, c)
#endif /* !_COMPAT_C_INTERNAL */

int _mu_asprintf(char **, const char *, ...);
int _mu_vasprintf(char **, const char *, va_list);
char *strchrnul(const char *, int);
