/********************************************************************\
 * Mu (Miscellaneous Utilities) is a general convenience library.   *
 * Copyright (C) 2019  Asher Gordon <AsDaGo@posteo.net>             *
 *                                                                  *
 * This file is part of Mu.                                         *
 *                                                                  *
 * Mu is free software: you can redistribute it and/or modify it    *
 * under the terms of the GNU General Public License as published   *
 * by the Free Software Foundation, either version 3 of the         *
 * License, or (at your option) any later version.                  *
 *                                                                  *
 * Mu is distributed in the hope that it will be useful, but        *
 * WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    *
 * GNU General Public License for more details.                     *
 *                                                                  *
 * You should have received a copy of the GNU General Public        *
 * License along with Mu.  If not, see                              *
 * <https://www.gnu.org/licenses/>.                                 *
\********************************************************************/

/*
 * format.h -- print nicely formatted text
 */

#ifndef _FORMAT_H
#define _FORMAT_H

#include <stdio.h>
#include <stdarg.h>

/* The default tab stop. */
#define FORMAT_TAB_STOP 8

/* Default: FORMAT_TAB_STOP. Set to something else if you prefer. */
extern unsigned short format_tab_stop;

int format(FILE *, unsigned short, unsigned short *,
	   unsigned short, unsigned short, const char *, ...);
char *format_string(unsigned short, unsigned short *,
		    unsigned short, unsigned short, const char *, ...);
int vformat(FILE *, unsigned short, unsigned short *,
	    unsigned short, unsigned short, const char *, va_list);
char *vformat_string(unsigned short, unsigned short *,
		     unsigned short, unsigned short, const char *, va_list);

#endif /* !_FORMAT_H */
